# /etc/rc.d/rc.inet1.conf
# This file contains the configuration settings for network interfaces.
# If USE_DHCP_n is set to "yes", this overrides any other settings.
# If you don't have an interface, leave the settings null ("").
# You can configure network interfaces other than eth0,eth1... by setting
# IFNAME_n to the interface's name. If IFNAME_n is unset
# or empty, it is assumed you're configuring an eth<interface>.
# Interface settings are suffixed with "_n" where 'n' is any digit.
# 'Zero' is the first interface, so for example: IFNAME_0="eth0"
#========================================================================

# Change this to "yes" for debugging output to stdout.  Unfortunately,
# /sbin/hotplug seems to disable stdout so you'll only see debugging output
# when rc.inet1 is called directly.
# There's only one of this variable; it does not need a _n suffix:
DEBUG_ETH_UP="yes"


# There's only one gateway (generally speaking) and it does not need
# a _n suffix. Default gateway IP address:
# GATEWAY=""



# First interface example:
# eth0:
IFNAME_0="eth0"
USE_DHCP_0="yes"
NETWORKING_IPV6_0="no"
DHCP_KEEPNTP_0="yes"




# Second interface example:
# eth1:
IFNAME_1="eth1"
NETWORKING_IPV6_1="no"
IPADDR_1="192.168.123.2"
NETWORK_1="192.168.123.0"
NETMASK_1="255.255.255.0"
BROADCAST_1="192.168.123.255"




# Dummy interface (3rd interface):
#IFNAME_2="dummy0"
#IPADDR_2="10.10.10.10"
#NETMASK_2="255.255.255.0"



# Another dummy (4th interface):
#IFNAME_3="dummy1"
#IPADDR_3="192.168.2.32"
#NETMASK_3="255.255.255.0"



# other misc. stuff:
#USE_DHCP_0="no"
#DHCP_KEEPNTP_0="yes"
#DHCP_KEEPRESOLV_0="yes"
#DHCP_HOSTNAME_0="darkstar"
#DHCP_KEEPGW_0="yes"
#DHCP_IPADDR_0="192.168.0.30"
#GATEWAY_0="192.168.0.10"
#NETMASK_0="255.255.255.0"
#BROADCAST_0="192.168.0.255"





## Example config information for wlan0.  Uncomment the lines you need and fill
## in your data.  (You may not need all of these for your wireless network)
#IFNAME_4="wlan0"
#IPADDR_4=""
#NETMASK_4=""
#USE_DHCP_4="yes"
#DHCP_HOSTNAME_4="icculus-wireless"
#DHCP_KEEPRESOLV_4="yes"
#DHCP_KEEPNTP_4="yes"
#DHCP_KEEPGW_4="yes"
#DHCP_IPADDR_4=""
#WLAN_ESSID_4=DARKSTAR
#WLAN_MODE_4=Managed
#WLAN_RATE_4="54M auto"
#WLAN_CHANNEL_4="auto"
#WLAN_KEY_4="D5A31F54ACF0487C2D0B1C10D2"
#WLAN_IWPRIV_4="set AuthMode=WPAPSK | set EncrypType=TKIP | set WPAPSK=96389dc66eaf7e6efd5b5523ae43c7925ff4df2f8b7099495192d44a774fda16"
#WLAN_WPA_4="wpa_supplicant"
#WLAN_WPADRIVER_4="wext"
#WLAN_WPAWAIT_4=30

## Some examples of additional network parameters that you can use.
## Config information for wlan0:
#IFNAME_4="wlan0"               # Use a different interface name instead of
                                # the default 'eth4'
#IFNAME_4="eth0:1"              # Set up an IP alias.
#HWADDR_4="00:01:23:45:67:89"   # Overrule the card's hardware MAC address
#MTU_4=""                       # The default MTU is 1500, but you might need
                                # 1360 when you use NAT'ed IPSec traffic.
#DHCP_TIMEOUT_4=15              # The default timeout for the DHCP client to
                                # wait for server resonse is 10 seconds, but
                                # you might want a shorter or longer wait.
#DHCP_KEEPRESOLV_4="yes"        # If you dont want /etc/resolv.conf overwritten
#DHCP_KEEPNTP_4="yes"           # If you don't want ntp.conf overwritten
#DHCP_KEEPGW_4="yes"            # If you don't want the DHCP server to change
                                # your default gateway
#DHCP_IPADDR_4=""               # Request a specific IP address from the DHCP
                                # server
#DHCP_DEBUG_4="yes"             # Make dhcpcd show verbose diagnostics
#DHCP_NOIPV4LL_4="yes"          # Do not assign an ipv4ll address when a DHCP
                                # server is not found (ipv4ll link-local
                                # adresses in the IP range 169.254.0.0/16 are
                                # also known as "zeroconf" addresses)
#WLAN_ESSID_4=DARKSTAR          # An example of how you can override _any_
                                # parameter defined in rc.wireless.conf, by
                                # prepending 'WLAN_' to the parameter's name.
                                # Useful with multiple wireless interfaces.
#WLAN_IWPRIV_4="set AuthMode=WPAPSK | set EncrypType=TKIP | set WPAPSK=thekey"
                                # Some drivers require a private ioctl to be
                                # set through the iwpriv command. If more than
                                # one is required, you can place them in the
                                # IWPRIV parameter (separated with the pipe (|)
                                # character, see the example).
#WLAN_WPA_4="wpa_supplicant"    # Run wpa_supplicant for WPA support
#WLAN_WPADRIVER_4="ndiswrapper" # Tell wpa_supplicant to specifically use the
                                # ndiswrapper driver (if you leave this empty
                                # the 'wext' driver is used by default)
#WLAN_WPAWAIT_4=30              # In case it takes long for the WPA association
                                # to finish, you can increase the wait time
                                # (defaults to 10 seconds)
